%global xfceversion 4.14
Name:           xfce4-settings
Version:        4.14.3
Release:        2
Summary:        Settings Manager for Xfce
License:        GPLv2+
#Group:          Development/Libraries
URL:            http://www.xfce.org/
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2
# theme and font settings
Patch0:         xfce4-settings-4.14.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  exo-devel >= 0.5.0
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libxfce4util-devel >= %{xfceversion}
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  libnotify-devel
BuildRequires:  colord-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libxklavier-devel
BuildRequires:  libXrandr-devel
BuildRequires:  garcon-devel >= 0.1.10
BuildRequires:  desktop-file-utils >= 0.7
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       xfconf

%description
This package includes the settings manager applications for the Xfce desktop. 

%prep
%setup -q
%patch0

%build
%configure --enable-sound-settings --enable-pluggable-dialogs --enable-maintainer-mode --enable-xorg-libinput
%make_build

%install
%make_install

for file in %{buildroot}%{_datadir}/applications/*.desktop ; do
    desktop-file-install \
        --add-category="X-XFCE" \
        --remove-category="XFCE" \
        --delete-original \
        --dir=%{buildroot}%{_datadir}/applications \
        $file
done


%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS TODO
%config(noreplace) %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%config(noreplace) %{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%{_bindir}/xfce4-*-settings
%{_bindir}/xfce4-settings-editor
%{_bindir}/xfce4-settings-manager
%{_bindir}/xfsettingsd
%{_bindir}/xfce4-find-cursor
%{_datadir}/applications/xfce*.desktop
%{_libdir}/xfce4/settings
%{_datadir}/icons/hicolor/128x128/devices/xfce-*.png
%{_datadir}/icons/hicolor/24x24/apps/xfce*.png
%{_datadir}/icons/hicolor/48x48/apps/xfce*.png
%{_datadir}/icons/hicolor/64x64/apps/xfce*.png
%{_datadir}/icons/hicolor/scalable/apps/xfce*.svg

%changelog
* Sun Jul 12 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 4.14.3-1
- Init package
